Public Class ConflictingDBDataException
    Inherits System.ApplicationException

    Public InvalidFields As New Collection()

    Public Sub New()
        MyBase.New()
    End Sub

    Public Sub New(ByVal Message As String)
        MyBase.New(Message)
    End Sub

    Public Sub New(ByVal Message As String, ByVal Inner As Exception)
        MyBase.New(Message, Inner)
    End Sub

End Class